//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TripleA.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class cat_Grupo_Inventario
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public cat_Grupo_Inventario()
        {
            this.cat_Inventario_por_grupo = new HashSet<cat_Inventario_por_grupo>();
        }
    
        public int Id_grupo_inventario { get; set; }
        public string Codigo_grupo { get; set; }
        public string Nombre_Grupo { get; set; }
        public System.DateTime FechaCreacion { get; set; }
        public int id_cat_usuario_creo { get; set; }
        public System.DateTime FechaUlt_modificacion { get; set; }
        public int id_cat_usuario_ult_mod { get; set; }
    
        public virtual cat_usuarios cat_usuarios { get; set; }
        public virtual cat_usuarios cat_usuarios1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<cat_Inventario_por_grupo> cat_Inventario_por_grupo { get; set; }
    }
}
